#!/usr/bin/env ruby

require "numru/dcl"
require "numru/dclext_streamline"

include NumRu

#iq_
nx = 40
ny = 40
#iqԊu
dl = 1

#iq_񎟌zō
x = NArray.sfloat(nx,ny).indgen!(0,dl) % nx
y = (NArray.sfloat(ny,nx).indgen!(0,dl) % ny).transpose(1,0)

#̐ݒ
u = NArray.sfloat(nx,ny)
v = NArray.sfloat(nx,ny)
u = -10.0 * NMath.sin(NMath.atan2(x-(nx/2),y-(ny/2)))
v =  10.0 * NMath.cos(NMath.atan2(x-(nx/2),y-(ny/2)))

DCL.gropn(1)
DCL.grfrm
DCL.grswnd(x.min,x.max,y.min,y.max)
DCL.grsvpt(0.2,0.8,0.2,0.8)
DCL.grstrf
DCL.usdaxs

#xNg̕`
DCL::ugvect(u,v)

#̖x
idensity = 40
#
type = 1
#̑AF
index = 21
#̕`
DCLExt::streamline(u,v,x,y,dl,idensity,type,index)

DCL.grcls

